Subject: [Enum] ENUM broken?

From: "Stastny Richard" <[email-masked]>
Date: Sat, 29 Jun 2002 09:06:14 +0200

Hi folks,
before I start: of course (I think) I know the difference between an URI and a protocol (maybe I even know the difference between a phone number, a name and an address ;-)
 
If it is necessary to include the protocol how the endpoint can be reached in the NAPTR, then
first, all examples sofar in RFC2916 and also 2916bis have been totally misleading, and secondly, and more seriously: ENUM cannot be implemented as intended, because most administrative models discussed in the last 2 years may not work!
 
ENUM is an End User Service, so the data (at least the URI) has to come from the user. I cannot expect the ENUM End User to provision the NAPTR and especially the protocol correctly. So the Tier 2 Nameserver provider has to to do it. The tier 2 nameserver  provider can only do it, if he is also the application service provider (ASP), and he may do this for all NAPTRs only, of he is the ASP of all services provided, and since we have may have phone services also, the T2 Nameserver provider and ASP has to be the TSP. This is not exceptable (except maybe in France;-).
 
This would imply that the most commonly agreed upon (in US and Europe) administrative model would not work. This model stated that it must be possible that the T2 Name server provider, the ASP and the TSP are separate entities. 
 
So ENUM cannot work in this way and I fully agree with Rudi, that the protocol used by the reciepient is meaningless for the originator and therefore also has no value in ENUM.
 
The originator either by himself or by a service provider will use HIS means to reach the URI.
 
The best example is the tel: URI: In the same way I do not need to know the protocol of the other end if I make a phone call, I do not need to know a protocol if a tel URI is present (I may need to know the services). It is up to the originating user in which way and how he is establishing communication to the destination (he may use sip or h323 or a dialler or whatever). He may even look at the URI and make a phone call with his mobile phone. 
 
Maybe we have a serious misunderstanding of the useability of ENUM here, but if am am wrong, I mayself and also a lot of other people in ITU-T, ETSI and other bodies have wasted a lot of their time with a badly designed or explained system from the IETF.
 
It is urgently necessary to get the discussion back on track again.
 
best regards
Richard
PS: an e-mail address is a name, and a phone number may be a name or an address;-)

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum